﻿
local AssignSoldier = foundation.createMod();

_assignSoldierPrefix = "ASSIGN_SOLDIER_V3"
_StoneGateSetPrefix = "STONE_GATE_V7"
_CommonWindowPrefix = "CUSTOM_WINDOW_V2"
--_CommonDoorPrefix = "CUSTOM_DOOR_V2"

AssignSoldier:log("Hello World: AssignSoldier")
--AssignSoldier:logWarning("This is a warning!")
--AssignSoldier:logError("This is an error!")
--AssignSoldier:msgBox("AssignSoldier: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    AssignSoldier:msgBox("AssignSoldier: game version anterior to 1.6")
    return
end
AssignSoldier:msgBox("AssignSoldier: game version" .. foundation.getGameVersion())

-- Temporary: global function from Stone Gate Set
AssignSoldier:dofile("scripts/common.lua", _StoneGateSetPrefix, _CommonWindowPrefix)

-- check all the mandatory dependencies
_flagSg7 = checkVersion(AssignSoldier, "AssignSoldierV3", "Stone Gate Set V7", "ad4b77eb-f903-4ade-89df-043293e696ec", "7.3.22")
_flagSecurity = checkVersion(AssignSoldier, "AssignSoldierV3", "Security", "99ee3b3b-f103-41f0-a725-bc466a2fc6de", "1.0.8")
if not _flagSg7 then
    return 
end

AssignSoldier:dofile("scripts/monument.lua")
